import {Component}      from '@angular/core';

import {UploadService}  from '../../shared/service/upload.service';
import {MessageService} from '../../shared/service/message.service';
import {BitMessage}     from '../../shared/index';

@Component({

    selector: 'upload',
    template: "\n      <div class=\"container\">\n          <div class=\"row cotainer-bread-btn\">\n            <div class=\"col-xs-6\">\n              <!-- ruta de donde nos encontramos (miga de pan) -->\n              <ol class=\"breadcrumb\">\n                <li>Upload</li>\n                <li class=\"active\">Pujada de fitxers</li>\n              </ol>\n            </div>\n            <div class=\"col-xs-6\">\n              <!-- botnera de acciones -->\n\n        \n            </div>\n          </div>\n      </div>\n      <div class=\"row\">\n          <div class=\"col-xs-12\">\n              <form method=\"post\" enctype=\"multipart/form-data\" (submit)=\"submit()\">\n                  <div class=\"form-group\" >\n                      <h4 class=\"seccion\">Multiple upload</h4>\n                      <div class=\"row separador\">\n                          <div class=\"col-xs-12\">\n                            <bit-upload (onFileChange)=\"fileChange($event)\" [showFiles]=true></bit-upload>\n                          </div>\n                      </div>\n                      <div class=\"row separador\">\n                          <div class=\"col-xs-12 text-center\">\n                              <button type=\"submit\" [disabled]=\"noFiles\" class=\"btn btn-default\">Upload&nbsp;&nbsp;<span class=\"glyphicon glyphicon-cloud-upload\"></span></button>\n                          </div>\n                      </div> \n                  </div>\n              </form>\n          </div>\n      </div>\n    "
})
export class UploadComponent {
    private filesToUpload: Array<File>;
    
    constructor(
        private uploadService: UploadService,
        private messageService: MessageService
    ) {}
    
    fileChange(files: Array<File>){
        this.filesToUpload = files;
    }

    submit(){
        this.uploadService.upload(null, this.filesToUpload, {}).then((result: any) => {
            console.log(result);
            this.messageService.sendNotification(new BitMessage("Informació", result));
        }, (error) => {
            console.log(error);
            let objError = JSON.parse(error);
            this.messageService.sendNotification(new BitMessage("Error", objError.text, undefined, undefined, undefined, BitMessage.ERROR));
        });
    }

    get noFiles(){
        return (this.filesToUpload == null || (this.filesToUpload != null && this.filesToUpload.length == 0));
    }
}