import { NgModule } from '@angular/core';
import {ReactiveFormsModule,
        FormsModule} from '@angular/forms';
import { CommonModule } from '@angular/common';
import {MessageService}             from './service/message.service';
import {HttpClientModule}       from '@angular/common/http';

import {FocusRegisterDirective,
  BitDialogComponent,
  BitNotificationComponent,
  BitNotificationFrontComponent,
  BitControlMessages,
  BitInputComponent,
  BitEditorComponent,
  BitSelectComponent,
  BitSelectMultipleComponent,
  BitDomainValueComponent,
  BitColumnBooleanComponent,
  CapitalizePipe,
  OtherToolbarActionPipe,
  BitFooterComponent,
  BitHeaderComponent,
  BitToolbarComponent,
  BitBreadCrumbComponent,
  BitLoadingComponent,
  BitUploadComponent,
  BitFormUploadComponent,
  BitHelpComponent,
  BitUserControlsComponent
} from './index';

import {SharedModule as primeSharedModule} from 'primeng/primeng';
import {CalendarModule,
        DropdownModule,
        EditorModule,
        MultiSelectModule,
        PaginatorModule,
        CheckboxModule,
        RadioButtonModule,
        DataTableModule,
        TabViewModule,
        DialogModule,
        AccordionModule,
        AutoCompleteModule,
        InputSwitchModule,
        TooltipModule,
        OverlayPanelModule,
        MessagesModule,
        MenuModule,
        MegaMenuModule,
        GrowlModule}     from 'primeng/primeng';

@NgModule({
  imports: [
    CommonModule,
    ReactiveFormsModule, 
    FormsModule, 
    HttpClientModule,
    CalendarModule,
    DropdownModule,
    EditorModule,
    MultiSelectModule,
    PaginatorModule,
    CheckboxModule,
    RadioButtonModule,
    DataTableModule,
    TabViewModule,
    DialogModule,
    MenuModule,
    MegaMenuModule,
    GrowlModule,
    primeSharedModule,
    AccordionModule,
    AutoCompleteModule,
    InputSwitchModule,
    TooltipModule,
    OverlayPanelModule,
    MessagesModule
  ],
  declarations: [
    FocusRegisterDirective,
    BitDialogComponent,
    BitNotificationComponent,
    BitNotificationFrontComponent,
    BitControlMessages,
    BitInputComponent,
    BitEditorComponent,
    BitSelectComponent,
    BitSelectMultipleComponent,
    BitDomainValueComponent,
    BitColumnBooleanComponent,
    BitFooterComponent,
    CapitalizePipe,
    OtherToolbarActionPipe,
    BitHeaderComponent,
    BitToolbarComponent,
    BitBreadCrumbComponent,
    BitLoadingComponent,
    BitUploadComponent,
    BitFormUploadComponent,
    BitHelpComponent,
    BitUserControlsComponent
  ],
  exports: [
    FocusRegisterDirective,                 
    CommonModule, 
    ReactiveFormsModule, 
    FormsModule, 
    HttpClientModule,
    BitDialogComponent,
    BitNotificationComponent,
    BitNotificationFrontComponent,
    BitControlMessages,
    BitInputComponent,
    BitEditorComponent,
    BitSelectComponent,
    BitSelectMultipleComponent,
    BitDomainValueComponent,
    BitColumnBooleanComponent,
    BitFooterComponent,
    CapitalizePipe,
    OtherToolbarActionPipe,
    BitHeaderComponent,
    BitToolbarComponent,
    BitBreadCrumbComponent,
    BitLoadingComponent,
    BitUploadComponent,
    BitFormUploadComponent,
    BitHelpComponent,
    CalendarModule,
    DropdownModule,
    EditorModule,
    MultiSelectModule,
    PaginatorModule,
    CheckboxModule,
    RadioButtonModule,
    DataTableModule,
    TabViewModule, 
    DialogModule,
    primeSharedModule,
    AccordionModule,
    AutoCompleteModule,
    InputSwitchModule,
    TooltipModule,
    OverlayPanelModule,
    MessagesModule,
    MenuModule,
    MegaMenuModule,
    GrowlModule,
    BitUserControlsComponent
  ]
})
export class SharedModule { }
