import { Component }    from '@angular/core';
import { Router }       from '@angular/router';
import { MenuItem }     from 'primeng/primeng';
import { Subscription } from 'rxjs';
import { LoginService } from './common/service/login.service'
import { UsuarioDTO }   from './common/dto/usuarioDTO';


@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    title = 'Shared';
    items: MenuItem[];
    usuario: UsuarioDTO;

    private subscriptionLogin: Subscription;

    constructor(
        public loginService: LoginService,
        public router: Router,
    ) {
        this.subscriptionLogin = loginService.observableLogin.subscribe(
            r => { 
                this.usuario = r;
            }
        );
    }

    ngOnInit() {
        this.items = [
            {
                label: "Usuaris",
                items: [
                    [
                        {items: [{label: 'Cerca d\'usuaris', icon:'fa-users', routerLink: ['usuarios']}]}
                    ]
                ]
            },
            {
                label: "Test",
                items: [
                    [
                        {items: [{label: 'Formulario', icon:'fa-users', routerLink: ['test/form']}]}
                    ]
                ]
            },
            {
                label: 'Developer',
                items: [
                    [
                        {items: [{label: 'Logs',               icon: 'fa-bars',                    routerLink: ['developer/logs']}]},
                        {items: [{label: 'Excepcions',         icon: 'fa-exclamation-triangle',    routerLink: ['developer/exceptions']}]},
                        {items: [{label: 'Consultes a B. DD.', icon: 'fa-pencil-square-o',         routerLink: ['developer/hql']}]},
                        {items: [{label: 'Configuració',       icon: 'fa-pencil-square-o',         routerLink: ['developer/config']}]}
                    ]
                ] 
            }
        ]
    }
}
