import {NgModule, 
        Optional,
        SkipSelf}                   from '@angular/core';

import {SharedModule}               from '../shared/shared.module';
import {AyudaService, CustomValidators, DomainCachedService, DomainResolve, DomainService, 
        GeneralUtils, FocusService, httpUtilsServiceInjectables, MessageService, SessionSharedService, 
        TableViewService, ToolbarService, UploadService } from '../shared/index';
import {LoginService}               from './service/login.service';
import {ConfiguracionService}       from '../developerlibrary/shared/service/configuracion.service';
import {environment}                from '../../environments/environment';

@NgModule({
    imports: [
        SharedModule
    ],
    providers: [
        {provide: 'API_URL', useValue: environment.API_URL} // Se provee API_URL para que la utilize HttpUtilsService, UploadService, etc
        // ,{provide: 'DOWNLOAD_URL', useValue: environment.DOWNLOAD_URL}
        ,{provide: 'CONTEXT_PATH', useValue: environment.CONTEXT}
        ,httpUtilsServiceInjectables  
        ,UploadService
        ,MessageService
        ,GeneralUtils
        ,CustomValidators
        ,FocusService 
        ,DomainService
        ,DomainCachedService
        ,SessionSharedService
        ,AyudaService
        ,DomainResolve
        ,ToolbarService
        ,TableViewService
        ,LoginService
        ,ConfiguracionService
        ],
    exports: [
        SharedModule
    ]     
})
export class CommonModule {

    constructor (@Optional() @SkipSelf() parentModule: CommonModule) {
        if (parentModule) {
            throw new Error(
            'CommonModule is already loaded. Import it in the AppModule only');
        }
    }
}