import { ModuleWithProviders } from '@angular/core';
import { RouterModule }        from '@angular/router';

/** Componentes */
import { LogListComponent,
         LogListNoFiltroComponent,
         LogListNadaComponent,
         HQLComponent,
         ExceptionListComponent,
         UploadComponent } from '../developerlibrary/index'
import { DeveloperComponent  } from './developer.component';
/** Resolvers */
import { DomainResolve } from '../shared/index';

export const routing: ModuleWithProviders = RouterModule.forChild([  
   { 
      path: '', 
      component: DeveloperComponent,
      children: [
         { path: 'hql',             component: HQLComponent           },
         { path: 'logs',            component: LogListComponent, data: {dominios: ['tipoLog']}, resolve: { dominios: DomainResolve } },
         { path: 'logs-nofiltro',   component: LogListNoFiltroComponent},
         { path: 'logs-nada',       component: LogListNadaComponent},
         { path: 'exceptions',      component: ExceptionListComponent },
         { path: 'upload',          component: UploadComponent}/*,
         { 
            path: 'config', 
            loadChildren: './config/config.module#ConfigModule'
         },*/
         
      ]
   }
]);