import {NgModule}               from '@angular/core';
/* Other Modules */
import {SharedModule}           from '../shared/shared.module';
/* Components */
import {HQLComponent,
        ExceptionListComponent,
        ExceptionListTableViewComponent,
        ExceptionListFilterComponent,
        LogListComponent,
        LogListNoFiltroComponent,
        LogListNadaComponent,
        LogListFilterComponent,
        LogListTableViewComponent,
        UploadComponent}        from './index'
/* Providers*/
import {DeveloperService}       from './shared/service/developer.service';
import {LogService}             from './shared/service/log.service';

@NgModule({
    imports: [SharedModule],
    declarations: [
        HQLComponent, 
        UploadComponent,
        ExceptionListComponent,
        ExceptionListTableViewComponent,
        ExceptionListFilterComponent,
        LogListComponent,
        LogListNoFiltroComponent,
        LogListNadaComponent,
        LogListFilterComponent,
        LogListTableViewComponent
    ],
    providers: [DeveloperService, LogService],
    exports: [
        HQLComponent,
        UploadComponent,
        ExceptionListComponent,
        ExceptionListTableViewComponent,
        ExceptionListFilterComponent,
        LogListComponent,
        LogListNoFiltroComponent,
        LogListNadaComponent,
        LogListFilterComponent,
        LogListTableViewComponent
    ]
})
export class DeveloperLibraryModule { }